package com.hcloud.microserver.bank.controller;

import com.hcloud.microserver.bank.bo.DayCarbonBO;
import com.hcloud.microserver.bank.service.WebIndexService;
import com.hcloud.microserver.commoncore.base.BaseController;
import com.hcloud.microserver.commoncore.base.ResultVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/webindex")
public class WebIndexController extends BaseController {

    @Autowired
    private WebIndexService webIndexService;

    @ApiOperation("当日碳汇量")
    @PostMapping("/dayCarbon")
    public ResultVO dayCarbon() {
        DayCarbonBO dayCarbonBO = webIndexService.dayCarbon();
        return success(dayCarbonBO);
    }
}
